Skip to main content
GET
List dependencies
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<int64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

Query Parameters

dependencyFilter.name
string

Deprecated - use package_filters instead. Filter by dependency name (e.g. lodash).

dependencyFilter.version
string

Deprecated - use package_filters instead. Filter by dependency version (e.g. 1.0.1).

dependencyFilter.repositoryId
integer<int64>[]

Repository IDs (numeric) to filter by. Omit if the endpoint has Repository ID as a path parameter. Use Projects endpoints to retrieve Repository IDs.

dependencyFilter.transitivity
enum<string>[]

Filter by transitivity.

Available options:
UNKNOWN_TRANSITIVITY,
TRANSITIVE,
DIRECT
dependencyFilter.ecosystem
enum<string>[]

Filter by ecosystem (e.g. npm, pypi, etc).

Available options:
no_package_manager,
npm,
pypi,
gomod,
cargo,
maven,
gem,
composer,
nuget,
pub,
swiftpm,
hex,
cocoapods,
mix,
opam
dependencyFilter.lockfilePath
string

Filter by path to the lockfile (e.g. foo/bar/package-lock.json).

dependencyFilter.licensePolicySettings
enum<string>[]

Filter by license policy setting outcome.

Available options:
LICENSE_POLICY_SETTING_UNSPECIFIED,
LICENSE_POLICY_SETTING_ALLOW,
LICENSE_POLICY_SETTING_COMMENT,
LICENSE_POLICY_SETTING_BLOCK
dependencyFilter.license
string[]

Filter by license (e.g. MIT).

dependencyFilter.includeArchived
boolean

When true, return only dependencies from archived repositories. When false or unset (default), archived repositories are excluded.

cursor
string<int64>

Cursor to paginate through the dependencies. Provide a cursor value from the response to retrieve the next page.

pageSize
integer<int64>
default:1000

Number of dependencies per page.

Required range: 1 <= x <= 10000
Example:

1000

Response

200 - application/json

OK

dependencies
object[]
required

List of dependencies.

Example:
hasMore
boolean

True if there are more dependencies to get.

cursor
string<int64>

Pass to next request to get next page of results.